/*
    $File$
    Date        Author          Changes
    Nov 21 2000 Richard Jones   Created

    Copyright (c) 2000, Richard Jones
    All rights reserved.
 */
 
package MetaTF.Parser;

/**
 * Has properties
 *
 * @see MetaTF.Parser.Section
 * @see MetaTF.Parser.Record
 * @version rel-1-2 ($Revision: 1.3 $, $Date: 2000/12/15 16:29:55 $),
 * @author Richard Jones
**/
interface HasProperties {
  static final String cvsheader = "$Header: /home/cur/rej/cvs/MetaTF/src/MetaTF/Parser/HasProperties.java,v 1.3 2000/12/15 16:29:55 rej Exp $";

    /**
     * Add a property to this section or record
     *
     * @param type the type
     * @param field the name of the field. The property is only added if the field names match
     * @param property the property
     * @param value the value of the property
     * @param beginLine the line in the DTD at which this property was defined
     * @exception DTDException
    **/
    public void addProperty(String type, String field, String property, Value value, int beginLine) throws DTDException;
}
