/*
    $File$
    Date        Author          Changes
    Nov 30 2000 Richard Jones   Created
    
    Copyright (c) 2000, Richard Jones
    All rights reserved.
 */
 
package MetaTF.Runtime;

import MetaTF.MetaTFConstants;
import java.io.*;

/**
 * Thic class represents comments in a MetaTF trace file
 *
 * @version rel-1-2 ($Revision: 1.1 $, $Date: 2000/12/15 16:35:32 $),
 * @author Richard Jones
**/
public class Comment extends Record {
    public static final int sectionNumber = 0;
    public static final int TAG = 0;
    public static final char tag = MetaTFConstants.Comment;    
    public static final int TEXT = 1;                        
    public String text;                                                           

    /** Allocate a new object representing a comment **/                                 
    public Comment() {}                                                                  

    /** Allocate a new object representing a comment **/                                 
    public Comment(String text) { this.text = text; }               

    /** Write a comment record                                                           
     * @exception IOException IF write fails                                             
    **/                                                                                  
    public void putRecord(LowLevelWriter llw) throws IOException {                                         
        llw.write(MetaTFConstants.Comment);                                                                  
        llw.writeln(text);                                                                                                                     
     }
}                                                                                       

