/*
    $File$
    Date        Author          Changes
    Nov 30 2000 Richard Jones   Created
    
    Copyright (c) 2000, Richard Jones
    All rights reserved.
 */
 
package MetaTF.Runtime;

import MetaTF.Panic;


/**
 * This class holds a array of TraceFields for each component field
 * indexed by the position of the field in the record
 *
 * @version rel-1-2 ($Revision: 1.1 $, $Date: 2000/12/15 16:35:32 $),
 * @author Richard Jones
**/
public class TraceRecord {
    
    /** The component fields **/
    TraceField[] fields;                                                     

    /**
     * Allocate a new object representing this record
     *
     * @param n the number of component fields in this record **/
     public TraceRecord(int n) { fields = new TraceField[n]; }

    /**
     * Get TraceField
     *
     * @param f the field number
     * @return the TraceField for this field in this record in this section
    **/
    public TraceField getTraceField(int f) {
        try {
            return fields[f];
        } catch(ArrayIndexOutOfBoundsException e) {
            Panic.panic("TraceRecord.getTraceField gets bad value: "+f);
            return null;
        }
    }
}                                                                            

